use serde::Deserialize;
use validator::Validate;

#[derive(Debug, Deserialize, Validate)]
pub struct PageParams {
    #[validate(
        required(message = "ValidatePageablePageRequired"),
        range(min = 1, message = "ValidatePageablePageRequired")
    )]
    pub page: Option<i64>,
    #[serde(rename = "pageSize")]
    #[validate(
        required(message = "ValidatePageablePageSizeRequired"),
        range(min = 1, message = "ValidatePageablePageSizeRequired")
    )]
    pub page_size: Option<i64>,
}
